/** 
 *  @file   _FrameQ.h
 *
 *  @brief      Wrapper header file that module uses internally to accomdate
 *              front end FrameQ.h and generated FrameQ.h files on rtos side.
 *
 *
 */
/* 
 *  ============================================================================
 *
 *  Copyright (c) 2008-2009, Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *  
 *  *  Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *  
 *  *  Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  
 *  *  Neither the name of Texas Instruments Incorporated nor the names of
 *     its contributors may be used to endorse or promote products derived
 *     from this software without specific prior written permission.
 *  
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 *  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 *  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 *  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 *  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 *  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  Contact information for paper mail:
 *  Texas Instruments
 *  Post Office Box 655303
 *  Dallas, Texas 75265
 *  Contact information: 
 *  http://www-k.ext.ti.com/sc/technical-support/product-information-centers.htm?
 *  DCMP=TIHomeTracking&HQS=Other+OT+home_d_contact
 *  ============================================================================
 *  
 */


#include <ti/syslink/ipc/rtos/FrameQ.h>

#undef FrameQ_create
#undef FrameQ_delete
#undef FrameQ_Handle
#undef FrameQ_Params
#undef FrameQ_Params_init
#undef FrameQ_NotifyFunc

#undef FrameQ_isSupportedInterface
#undef FrameQ_open
#undef FrameQ_close
#undef FrameQ_registerNotifier
#undef FrameQ_unregisterNotifier
#undef FrameQ_alloc
#undef FrameQ_allocv
#undef FrameQ_free
#undef FrameQ_freev
#undef FrameQ_put
#undef FrameQ_putv
#undef FrameQ_get
#undef FrameQ_getv
#undef FrameQ_dup
#undef FrameQ_sendNotify
#undef FrameQ_getExtendedHeaderPtr

#undef FrameQ_getNumFrameBuffers
#undef FrameQ_getFrameBuffer
#undef FrameQ_getFrameBufSize
#undef FrameQ_getFrameBufValidSize
#undef FrameQ_getFrameBufDataStartOffset
#undef FrameQ_setFrameBufValidSize
#undef FrameQ_setFrameBufDataStartOffset
#undef FrameQ_getNumFreeFrames
#undef FrameQ_getNumFrames

#undef FrameQ_getvNumFreeFrames
#undef FrameQ_getvNumFrames

#undef FrameQ_NOTIFICATION_NONE
#undef FrameQ_NOTIFICATION_ALWAYS
#undef FrameQ_NOTIFICATION_ONCE
#undef FrameQ_NOTIFICATION_HDWRFIFO_ALWAYS
#undef FrameQ_NOTIFICATION_HDWRFIFO_ONCE
#undef FrameQ_NotifyType

#undef FrameQ_MODE_NONE
#undef FrameQ_MODE_WRITER
#undef FrameQ_MODE_READER
#undef FrameQ_OpenMode

#undef FrameQ_CTLSTRUCT_ISCACHEENABLED
#undef FrameQ_FRAMEHDR_ISCACHEENABLED
#undef FrameQ_FRAMEBUF0_ISCACHEENABLED
#undef FrameQ_FRAMEBUF1_ISCACHEENABLED
#undef FrameQ_FRAMEBUF2_ISCACHEENABLED
#undef FrameQ_FRAMEBUF3_ISCACHEENABLED
#undef FrameQ_FRAMEBUF4_ISCACHEENABLED
#undef FrameQ_FRAMEBUF5_ISCACHEENABLED
#undef FrameQ_FRAMEBUF6_ISCACHEENABLED
#undef FrameQ_FRAMEBUF7_ISCACHEENABLED
#undef FrameQ_CacheFlags

#undef FrameQ_FRAMEBUF0_CPUACCESS
#undef FrameQ_FRAMEBUF1_CPUACCESS
#undef FrameQ_FRAMEBUF2_CPUACCESS
#undef FrameQ_FRAMEBUF3_CPUACCESS
#undef FrameQ_FRAMEBUF4_CPUACCESS
#undef FrameQ_FRAMEBUF5_CPUACCESS
#undef FrameQ_FRAMEBUF6_CPUACCESS
#undef FrameQ_FRAMEBUF7_CPUACCESS
#undef FrameQ_CpuAccessFlags

#undef FrameQ_Interface
#undef FrameQ_INTERFACE_SHAREDMEM
#undef FrameQ_INTERFACE_NONE

#undef FrameQ_Frame
#undef FrameQ_FrameBufInfo
#undef FrameQ_FrameHeader

#undef FrameQ_CreateParams
#undef FrameQ_CommonOpenParams
#undef FrameQ_NotifyParams

#undef FrameQ_MAX_NAMELEN
#undef FrameQ_MAX_INSTANCES
#undef FrameQ_MAX_INST_READERS
#undef FrameQ_CACHE_LINESIZE
#undef FrameQ_MAXFILLEDQUEUS_FOR_READER

#undef FrameQ_NOTIFY_RESERVED_EVENTNO

#include <ti/syslink/FrameQ.h>

